Security update for libsamplerate

SUSE Security Update: Security update for libsamplerate
Announcement ID: SUSE-SU-2017:1065-1
Rating: moderate
References: #1033564
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11-SP4
  • SUSE Linux Enterprise Server 11-SP4
  • SUSE Linux Enterprise Debuginfo 11-SP4

  • An update that fixes one vulnerability is now available.

    Description:


    This update for libsamplerate fixes the following issues:

    - CVE-2017-7697: Fixed a buffer overflow in calc_output_single.
    (bsc#1033564)

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 11-SP4:
      zypper in -t patch sdksp4-libsamplerate-13068=1
    • SUSE Linux Enterprise Server 11-SP4:
      zypper in -t patch slessp4-libsamplerate-13068=1
    • SUSE Linux Enterprise Debuginfo 11-SP4:
      zypper in -t patch dbgsp4-libsamplerate-13068=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64 s390x x86_64):
      • libsamplerate-devel-0.1.4-3.1
    • SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):
      • libsamplerate-0.1.4-3.1
    • SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):
      • libsamplerate-32bit-0.1.4-3.1
    • SUSE Linux Enterprise Server 11-SP4 (ia64):
      • libsamplerate-x86-0.1.4-3.1
    • SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):
      • libsamplerate-debuginfo-0.1.4-3.1
      • libsamplerate-debugsource-0.1.4-3.1
    • SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):
      • libsamplerate-debuginfo-32bit-0.1.4-3.1
    • SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):
      • libsamplerate-debuginfo-x86-0.1.4-3.1

    References: